---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt
  name: prowlarr
spec:
  ingressClassName: traefik
  rules:
  - host: prowlarr.${DOMAIN}
    http:
      paths:
      - backend:
          service:
            name: prowlarr
            port:
              number: 80
        path: /
        pathType: Prefix
  tls:
  - hosts:
    - prowlarr.${DOMAIN}
    secretName: prowlarr.${DOMAIN}
